cheapskate-0.1.1.2: Experimental markdown processor.

Safe Haskell | None
Language | Haskell2010

Cheapskate.Parse

Synopsis

- markdown :: Options -> Text -> Doc

# Documentation

markdown :: Options -> Text -> Doc #

Parses the input as a markdown document. Note that `Doc` is an instance of `ToMarkup`, so the document can be converted to `Html` using `toHtml`. A simple `Text` to `Html` filter would be

    markdownToHtml :: Text -> Html
    markdownToHtml = toHtml . markdown def